<div>
  <%= successful_action_msg(notice) %>
  <%= link_to 'Új könyv felvétele', new_book_path, class: 'btn btn-success' %>
  <%= link_to 'Új szerző felvétele', new_author_path, class: 'btn btn-success' %>
  <%= link_to 'Új kiadó felvétele', new_publisher_path, class: 'btn btn-success' %><br><br>

  <%= form_tag search_publishers_path, :method => "get" do %>
    <div class="form-group">
      <label><b>Kiadó keresése</b> - Szűrési feltételek </label>
      <table class="table" style="align-content: center">
        <tr>
          <td style="width: 50%"><%= text_field_tag(:name, params[:name], placeholder: "Kiadó neve", class: "form-control") %></td>
          <td style="width: 50%"><%= text_field_tag(:address, params[:address], placeholder: "Cím", class: "form-control") %></td>
        </tr>

        <tr>
          <td colspan="2" style="width: 10%" >
            Találatok oldalanként
            <input id="per_page" name="per_page" min="3" max="10" type="number" class="form-control" value="<%= @per_page %>" style="width: 60px"/>
          </td>
        </tr>

        <tr>
          <td>
            <%= submit_tag "Keresés", class: "btn btn-primary" %>
          </td>
        </tr>
      </table>

    </div>
  <% end %>

  <% if @publisher_list.count == 0 %>
    <table class="table">
      <tr>
        <td scope="row">
          <%= show_message(params[:name], params[:address]) %>
        </td>
      </tr>
    </table>
  <% end %>

  <% unless @publisher_list.nil? || @publisher_list.empty? %>
    <table>
      <tr>
        <th scope="row">
          Találatok száma: <span style = "color: green"> <%= @publisher_list.count %> </span>
        </th>
      </tr>
    </table>
    <br>
    <table class="table">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Kiadó neve</th>
        <th scope="col">Kiadó címe</th>
        <th scope="col" colspan="3" width="25%" style="text-align:center">Műveletek</th>
      </tr>
      </thead>
      <tbody>

      <% list_size = @publisher_list.count %>
      <% @publisher_list.each_with_index do |publisher, idx| %>
        <%= set_row_background(idx) %>
        <th scope="row"> <%= current_index(idx, list_size, @current_page, @per_page) %> </th>
        <td> <%= publisher.name if publisher %> </td>
        <td> <%= publisher.address if publisher %> </td>
        <td> <%= link_to 'Megtekintés',  publisher_path(publisher.id), remote: true, class: 'btn btn-info' %> </td>
        <td> <%= link_to 'Szerkesztés', edit_publisher_path(publisher.id), class: 'btn btn-warning'%> </td>
        <td> <%= link_to 'Törlés', publisher_path(publisher.id),
                         class: 'btn btn-danger',
                         method: :delete,
                         data: { confirm: "Biztosan törli a következőt?\n
    Cím: #{publisher.name}
    ISBN: #{publisher.address}"} %></td>
        </tr>
      <% end %>
      </tbody>
    </table>
  <% end %>
</div>

<div class="row">
  <div class="col offset-4">
    <!-- ez a kódrészlet felel az egyes aloldalak linkként való megjelenítéséért -->
    <%= will_paginate @publisher_list, :previous_label => 'Előző', :next_label => 'Következő', renderer: WillPaginate::ActionView::Bootstrap4LinkRenderer %>
  </div>
</div>

<!-- MODAL MEGNYITASA JS-sel - megtekintés -->
<div id='publisher-content'></div>

<!-- https://dev.to/morinoko/adding-custom-javascript-in-rails-6-1ke6 -->
<%= javascript_pack_tag 'message_alerts' %>
